#
# spec file for package gdm (Version 2.8.0.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gdm
BuildRequires:  audit-devel gnome-common gnome-patch-translation gnutls-devel intltool kdelibs3-doc libglade2-devel libgnomeprintui-devel libgnomeui-devel librsvg-devel libwnck-devel mDNSResponder-devel pam-devel perl-XML-Parser scrollkeeper tcpd-devel update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
PreReq:         /usr/sbin/groupadd
PreReq:         /usr/sbin/useradd
PreReq:         /usr/sbin/usermod
%if %suse_version < 1010
PreReq:         %fillup_prereq
%endif
PreReq:         %insserv_prereq
License:        GPL v2 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        2.8.0.7
Release:        57.41.68.24
Summary:        The GNOME 2.x Display Manager
Source:         %{name}-%{version}.tar.bz2
Source1:        gdm.pamd
Source2:        gdm-autologin.pamd
Source3:        SuSEconfig.gdm
Source4:        init.earlygdm
Source5:        sysconfig.displaymanager-gdm
Patch:          gdm-conf.patch
Patch1:         gdm-libtool.patch
Patch2:         gdm-bash-profile.patch
Patch3:         gdm-language-dialog-size.patch 
Patch4:         gdm-logdir.patch
Patch5:         gdm-xdm-sessions.patch
Patch6:         gdm-ximian-defaults.patch
Patch8:         gdm-support-gdmctl.patch
Patch9:         gdm-presession-kde-path.patch
Patch11:        gdm-timelogin.diff
Patch12:        gdmsetup-rootonly.dif
Patch13:        gdm-2.8.0.0-any-hostname-auth.patch
Patch14:        gdm-2.8.0.0-list-users.patch
Patch15:        gdm-2.8.0.0-setup-no-flicker.patch
Patch16:        gdm-2.8.0.0-timed-login-enact.patch
Patch18:        gdm-gnome-screensaver.patch
Patch19:        gdm-2.8.0.7-bg-4.patch
Patch20:        gdm-2.8.0.7-domain-entry.patch
Patch21:        gdm-2.8.0.7-halt-needs-root.patch
Patch22:        gdm-2.8.0.7-onlyshow-in-gnome.diff
Patch23:        gdm-2.8.0.7-fix-keyboard-nav.patch
Patch24:        gdm2-server-timeout.patch
Patch25:        gdm-2.8.0.7-user-must-own-iceauthority.patch
Patch26:        gdm-2.8.0.7-some-info-in-dialog.patch
Patch27:        gdm-no-ja-in-console.patch
Patch28:        gdm-2.8.0.7-prevent-unauthorized-config.patch
Patch29:        gdm-2.8.0.7-vt-fallback.patch
Patch30:        gdm-2.8.0.7-234133-audit-login.patch
Patch31:        gdm-2.8.0.7-root-shutdown.patch
Patch32:        gdm-wbinfo-parameter-separator-call.patch
Patch33:        gdm-408125-add-local-ip.patch
Patch34:        gdm-653559-check-yast-disabled-user.patch
Url:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
DocDir:         %{_defaultdocdir}
Provides:       gdm2
Obsoletes:      gdm2
Requires:       gnome2-SuSE gnome-themes klogd xorg-x11-Xnest

%description
This version of GDM, the GNOME display manager, is based on GTK2 and is
suited for the GNOME 2.x Desktop. GDM is a flexible X Window System
display manager that has many options, is usable for remote login, and
provides a good looking graphical interface.



Authors:
--------
    George (Jiri) Lebl <jirka@5z.com>
    Martin K. Petersen <mkp@mkp.net>
    Alex Larsson <alexl@redhat.com>

%prep
%setup
gnome-patch-translation-prepare
%patch -p1
#%patch1
%patch2 -p1 
%patch3 -p1
%patch4
%patch5 -p1
# Uncomment patch6 for Ximian branding.
#%patch6 -p1
#%patch8 -p1
%patch9 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
# Create UTF-8 as alternative for all locales.
#sed 's:\([^ 	]*\)\([ 	][ 	]*\)\(.*\)UTF-8,\(.*\):\1	\2\4,\3UTF-8\
#\1(UTF-8)\2\3UTF-8,\4:g' <config/locale.alias | sed 's:^\([^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	]\)*(UTF-8):&	:' >config/locale.alias~
#mv config/locale.alias~ config/locale.alias
# Prefer non UTF-8 for all locales.
#sed 's:\([^ 	]*\)\([ 	][ 	]*\)\(.*\)UTF-8,\(.*\):\1	\2\4,\3UTF-8:g' <config/locale.alias | sed 's:^\([^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	]\)*(UTF-8):&	:' >config/locale.alias~
#mv config/locale.alias~ config/locale.alias
%patch19 -p1
%if %suse_version > 1000
%patch20 -p1
%patch21 -p1
%endif
%patch22 -p1
%patch23 -p1
%patch24
%patch25 -p1
%patch26 -p1
%patch27
%patch28 -p1
%patch29 -p1
rename no nb po/no.*
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
	mv configure.in.tmp configure.in
gnome-patch-translation-update
# This patch has its own translation updater.
%patch18
sed -i s/xscreensaver/gnome-screensaver/g po/*.po docs/*/gdm.xml

%build
libtoolize --force
autoheader --force
aclocal -I . 
automake --add-missing -c
autoconf
export ac_aux_dir=$RPM_BUILD_DIR/gdm-%{version}
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " \
LDFLAGS=-L/usr/%_lib \
EXPANDED_LOGDIR=/var/log/gdm \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/lib \
    --enable-ipv6 \
    --libexecdir=/opt/gnome/%_lib/gdm
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
# Remove wrapper, it is not needed.
mv $RPM_BUILD_ROOT%{prefix}/sbin/gdm-binary $RPM_BUILD_ROOT%{prefix}/sbin/gdm
# Install PAM files and remove examples.
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %{S:1} $RPM_BUILD_ROOT/etc/pam.d/gdm
cp %{S:2} $RPM_BUILD_ROOT/etc/pam.d/gdm-autologin
rm -f $RPM_BUILD_ROOT/etc/opt/gnome/pam.d/gdm
rm -f $RPM_BUILD_ROOT/etc/opt/gnome/pam.d/gdm-autologin
rmdir $RPM_BUILD_ROOT/etc/opt/gnome/pam.d
# Install earlygdm init script.
install -D -m 0744 %SOURCE4 $RPM_BUILD_ROOT/etc/init.d/earlygdm
# Install PostLogin script.
mv $RPM_BUILD_ROOT/etc/opt/gnome/gdm/PostLogin/Default.sample $RPM_BUILD_ROOT/etc/opt/gnome/gdm/PostLogin/Default
# Install SuSEconfig script.
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
cp %{S:3} $RPM_BUILD_ROOT/sbin/conf.d
chmod +x $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.gdm
%if %suse_version <1010
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp %{S:5} $RPM_BUILD_ROOT/var/adm/fillup-templates
%endif
touch $RPM_BUILD_ROOT/etc/opt/gnome/gdm/gdm_sysconfig.conf
# This file is moved to gnome-session, where it belongs.
rm $RPM_BUILD_ROOT%{prefix}/share/xsessions/gnome.desktop
rmdir $RPM_BUILD_ROOT%{prefix}/share/xsessions
rmdir $RPM_BUILD_ROOT/etc%{prefix}/dm
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gdm/*/gdm.xml; do
    meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
done
%suse_update_desktop_file gdmsetup               SystemSetup
%suse_update_desktop_file -G "" gdmphotosetup          SystemSetup
%suse_update_desktop_file -G "" gdmflexiserver         RemoteAccess
%suse_update_desktop_file -G "" gdmflexiserver-xnest   RemoteAccess
echo DocPath=gdm >> $RPM_BUILD_ROOT%{prefix}/share/applications/gdmsetup.desktop
echo DocPath=gdm >> $RPM_BUILD_ROOT%{prefix}/share/applications/gdmphotosetup.desktop
%find_lang %{name}
ln -s ../sbin/gdm $RPM_BUILD_ROOT%{prefix}/bin/gdm

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Remove old logs (#56205).
rm -f var/lib/gdm/*.log*
# Remove old gdm_sysconfig.conf to update gdm.conf from sysconfig settings.
rm -f etc/opt/gnome/gdm/gdm_sysconfig.conf
/usr/sbin/groupadd -r gdm 2> /dev/null || :
/usr/sbin/useradd -r -o -g gdm -u 50 -s /bin/false \
-c "Gnome Display Manager daemon" -d /var/lib/gdm gdm 2> /dev/null || :
/usr/sbin/usermod -g gdm -G gdm -s /bin/false gdm 2> /dev/null

%post
%if %suse_version < 1010
%{fillup_only -n displaymanager -s gdm}
%{fillup_and_insserv -npY displaymanager earlygdm}
%else
%{fillup_and_insserv -pY earlygdm}
%endif

%postun
%insserv_cleanup

%files -f %files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %config /etc/opt/gnome/gdm
%dir %{prefix}/share/omf/gdm
%config /etc/%{prefix}/gdm/[IPXl]*
%config(noreplace) /etc/%{prefix}/gdm/gdm.conf
/etc/%{prefix}/gdm/factory-gdm.conf
/etc/%{prefix}/gdm/Xsession
%ghost /etc/%{prefix}/gdm/gdm_sysconfig.conf
%dir %config /etc/%{prefix}/gdm/modules
%config /etc/%{prefix}/gdm/modules/A*
/etc/%{prefix}/gdm/modules/factory*
/etc/init.d/earlygdm
%{prefix}/share/omf/gdm/gdm-*.omf
%{prefix}/sbin/*
%{prefix}/bin/*
%{prefix}/share/gdm
%{prefix}/share/applications/*.desktop
%{prefix}/share/pixmaps/*.png
%{prefix}/share/icons/*
%{prefix}/%_lib/gtk-2.0/modules/*
%dir %{prefix}/%_lib/gdm
%{prefix}/%_lib/gdm/*
%doc %{prefix}/share/man/man1/*.*
%attr(750,gdm,gdm) %dir /var/lib/gdm
%attr(750,gdm,gdm) %dir /var/log/gdm
%config /etc/pam.d/*
/sbin/conf.d/SuSEconfig.gdm
%{prefix}/share/pixmaps/faces
%if %suse_version <1010
/var/adm/fillup-templates/*
%endif

%changelog
* Mon Dec  6 2010 dliang@novell.com
- Add gdm-653559-check-yast-disabled-user.patch to fix bnc#653559
  The shadow password of Yast disabled user was begin with '!',
  the patch check it before the user session.
* Thu Nov 18 2010 dliang@novell.com
- modify SuSEconfig.gdm to fix bnc#653851
  to make "passwordless login" work. backport from sle11
* Mon Nov 10 2008 dliang@suse.de
- add gdm-408125-add-local-ip.patch to fix bug (bnc #408125)
* Tue Oct  7 2008 hpj@suse.de
- Update gdm-2.8.0.7-domain-entry.patch and add
  gdm-wbinfo-parameter-separator-call.patch to fix bug #425173.
* Tue Feb 19 2008 jberkman@novell.com
- if SecureShutdown is set, require that the connecting client is
  root (bnc #246882)
* Fri Mar  9 2007 hpj@suse.de
- Run autoheader during build, so the audit changes will take.
  This should be the last fix required for bug #234133.
* Fri Mar  9 2007 hpj@suse.de
- Updated patch gdm-2.8.0.7-234133-audit-login.patch, removing some
  spurious audit messages generated by gdm_verify_check ().
* Thu Mar  8 2007 hpj@suse.de
- Added audit-devel to buildrequires, so the previous patch will
  actually have an effect.
* Mon Feb 26 2007 hpj@suse.de
- Add patch gdm-2.8.0.7-234133-audit-login.patch. It fixes Novell
  bug #234133 (GDM cannot log authentication attempts).
* Tue Feb 20 2007 crivera@suse.de
- Ensure that we always call fillup_and_insserv earlygdm in the post-install
  script. fillup_only does not need to be called for displaymanager post 10.1
  since these variables were moved to aaa_base.  This fixes bug 192998.
* Wed Jan 17 2007 sbrabec@suse.cz
- Fixed Norwegian patch translation (#235192).
* Thu Dec 28 2006 jhargadon@suse.de
- added klogd to Requires (#214295)
* Mon Oct 16 2006 hpj@suse.de
- Added fallback mechanism for when console VTs can't be probed.
  Fixes Novell bug #206804.
* Fri Jun  9 2006 hpj@suse.de
- Update domain entry patch to default to the currently joined
  Active Directory domain if there was no stored preference. Fixes
  Novell bug #167344.
* Mon Jun  5 2006 hpj@suse.de
- Don't let any user configure GDM from the login screen if a
  theme with user list is in effect. Fixes Novell bug #180219.
* Wed May 31 2006 dreveman@suse.de
- Fix bg patch and change gdm.conf patch so we pass -br to X
  server for black root window. (bnc 179847)
* Wed May 24 2006 sbrabec@suse.cz
- Do not display Japanese string in terminal, which doesn't support
  it (#168736).
- Disabled beep on start (#174786).
* Thu May 18 2006 hpj@suse.de
- Made GDM use the more graphically-intensive, but prettier,
  gdmgreeter for remote logins. Fixes Novell bug #176661.
* Tue May 16 2006 sbrabec@suse.cz
- Do not fail, if group gdm already exists.
* Fri May 12 2006 sbrabec@suse.cz
- Store value of PERMISSION_SECURITY by SuSEconfig in
  gdm_sysconfig.conf (169639#c20).
* Mon May  8 2006 hpj@suse.de
- Made GDM use the "gdm" group instead of shadow. Fixes Novell bug
  [#119651].
- Made use of the tab key work like pressing enter if there is no
  other entry to tab to. Part of fix for Novell bug #160879 and
  [#167343].
- Made use of the enter key in the domain entry work like it does
  in the user/password entry. Par of fix for Novell bug #160879
  and #167343.
* Wed Apr 26 2006 hpj@suse.de
- Added patch to show info messages in dialog. Needed for AD,
  resolves bug #162146.
* Mon Apr 10 2006 hpj@suse.de
- Update .ICEauthority fixup patch, corrects serious security
  problem (bug #164520).
* Fri Apr  7 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Thu Apr  6 2006 hpj@suse.de
- Add patch to fix logic for .ICEauthority permissions correction.
  Fixes bug #162952.
* Fri Mar 31 2006 jpr@suse.de
- Extend gdm timeout to 30 seconds, 10 seconds is too short for the
  ATI driver to respond under Xgl
* Mon Mar 20 2006 federico@novell.com
- Fixed uninstallation of symbolic links for the earlygdm startup
  service, bug #158786.
* Sat Mar 11 2006 coolo@suse.de
- fix the only-show-in-gnome patch to patch the .desktop.in
* Mon Mar  6 2006 federico@novell.com
- Fix installation of the earlygdm service; we were not calling
  fillup_and_insserv with "displaymanager" for the configuration
  filename.
* Wed Mar  1 2006 sbrabec@suse.cz
- KDM_SHUTDOWN renamed to DISPLAYMANAGER_SHUTDOWN, use fillup only
  in PLUS (148468#c17).
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 24 2006 hpj@suse.de
- Add patch to fix tab keynav.
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Fri Feb 17 2006 gekker@suse.de
- Fix background color in GDM, it should be black
* Fri Feb 17 2006 sbrabec@suse.cz
- Added sysconfig fillup template (148468#c15).
* Mon Feb 13 2006 sbrabec@suse.cz
- Implemented KDM_SHUTDOWN to SuSEconfig.gdm (#148468).
- Set AllowRemoteRoot=false in gdm.conf to follow default
  sysconfig.
* Mon Feb 13 2006 hpj@suse.de
- Updated shutdown options patch: Whether to allow shutdown,
  and whether this requires root auth, are the two new options.
- Enforce shutdown options on logout as well.
* Fri Feb 10 2006 coolo@suse.de
- don't show gdm desktop files in KDE
- use the new way to call preload
* Mon Feb  6 2006 sbrabec@suse.cz
- Implemented DISPLAYMANAGER_AD_INTEGRATION to SuSEconfig.gdm
  (#139338).
* Mon Feb  6 2006 hpj@suse.de
- Updated domain entry patch to use --all-domains with wbinfo.
- Updated domain entry patch to show "<Local>" for local login.
- Added patch to require root auth to halt or reboot.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 hpj@suse.de
- Updated the domain logon patch with numerous new features and
  cosmetic fixes.
* Mon Jan 16 2006 hpj@suse.de
- Fixed a bug in logon code that prevented domain logons from
  working. Updated domain logon patch.
* Fri Jan 13 2006 schwab@suse.de
- Don't strip binaries.
* Tue Jan 10 2006 hpj@suse.de
- Added domain logon patch for ADS.
* Mon Dec  5 2005 gekker@suse.de
- Updated background patch from David Reveman
* Wed Nov 30 2005 gekker@suse.de
- Update o version 2.8.0.7
- Remove upstream patch
- Fixup patch for background colors
* Thu Nov 10 2005 rml@suse.de
- Add earlygdm init script.  Right now, we just preload gnome bits.
* Wed Nov  2 2005 gekker@suse.de
- Fix so ctrl-alt-backspacing restarts the xserver (#113718)
- Patch from upstream b.g.o (#152906)
* Mon Oct 17 2005 gekker@suse.de
- Make gdm.conf %%config(noreplace)
* Thu Oct 13 2005 hpj@suse.de
- Updated xauthority-across-hostname-changes patch to use
  XAUTHLOCALHOSTNAME environment variable.
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.8.0.5
* Tue Oct  4 2005 gekker@suse.de
- Rediff patch for background colors
* Tue Oct  4 2005 gekker@suse.de
- Fix background colors to be consistent on startup
* Tue Sep 20 2005 sbrabec@suse.cz
- Removed references to build directory in installed .la files.
* Thu Sep 15 2005 gekker@suse.de
- Make Industrial the default Gtk+ theme (114173)
* Tue Sep  6 2005 sbrabec@suse.cz
- Updated to version 2.8.0.4.
* Mon Aug 22 2005 gekker@suse.de
- Update to version 2.8.0.3
- Remove upstreamed autologin patch
- Now installs .desktop files in correct location no need to move
* Fri Aug 19 2005 hpj@suse.de
- Make the default session option work on autologin; we now get GNOME.
* Tue Aug 16 2005 sbrabec@suse.cz
- Use gnome-screensaver instead of xscreensaver.
* Fri Aug 12 2005 hpj@suse.de
- Made gdm-autologin.pam not require a password.
* Fri Aug 12 2005 jpr@suse.de
- require xorg-x11-xnest for the gdmflexiserver -n option
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.8.0.2
- Make 64bit clean
* Sat Jul 30 2005 jpr@suse.de
- turn on compatibility symlink for all products
* Tue Jul  5 2005 gekker@suse.de
- Update to version 2.8.0.1
- Do not use hostname in authentication cookie (82688).
- Disabling of "timed login" doesn't work (8060).
- Issues with "timed login" being set to zero (8024).
- Display flickers for every letter typed (6354).
* Fri Jun 24 2005 sbrabec@suse.cz
- Added compatibility symlink %%{prefix}/bin/gdm for older products.
* Wed Jun 22 2005 gekker@suse.de
- Update to version 2.8.0.0
* Fri Apr 22 2005 sbrabec@suse.cz
- Implemended DISPLAYMANAGER_PASSWORD_LESS_LOGIN using SuSEconfig
  and PAM configuration (#74198).
* Fri Apr 22 2005 sbrabec@suse.cz
- Fixed logdir (#56205).
* Mon Mar 21 2005 jody@suse.de
- Fix typo in upstream package that broke Shutdown
- Repaired Suspend command to actually work
* Fri Mar 18 2005 sbrabec@suse.cz
- Removed X-Ximian-Settings (#73047).
* Wed Mar 16 2005 sbrabec@suse.cz
- Fixed capplets desktop files path.
- Added X-Ximian-Settings to gdmsetup and gdmphotosetup (#73047).
* Tue Mar 15 2005 sbrabec@suse.cz
- Fixed X-KDE-RootOnly in gdmsetup.desktop (#66693).
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.6.0.8 (GNOME 2.10).
* Fri Feb 18 2005 sbrabec@suse.cz
- Remove gdm_sysconfig.conf before update to force gdm.conf configuration.
* Fri Feb 11 2005 sbrabec@suse.cz
- Resource only /usr/share/xsessions for session desktop files.
- Fixed tcp_wrappers support on bi-arch.
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.6.0.7
* Wed Feb  9 2005 sbrabec@suse.cz
- Cleaned-up configuration and patches.
- Prepared moving of session files to windowmanager packages.
* Tue Feb  8 2005 gekker@suse.de
- Add patch back to fix Xsession file
* Mon Jan 24 2005 meissner@suse.de
- added missing NULL in a g_strconcat.
* Thu Jan 20 2005 gekker@suse.de
- Update to version 2.6.0.6
* Wed Nov 17 2004 hhetter@suse.de
- add X-KDE-RootOnly to gdmsetup.desktop (#45807)
* Mon Nov 15 2004 kukuk@suse.de
- Use common-* PAM config files for gdm and gdm-autologin
* Tue Oct 26 2004 mmj@suse.de
- Locale rename no to nb
* Fri Oct 15 2004 sbrabec@suse.cz
- Implemented sysconfig displaymanager support.
* Fri Sep 24 2004 hhetter@suse.de
- gdm must require gnome-themes, to ensure availability of
  the industrial theme (#44330)
* Wed Aug 25 2004 clahey@suse.de
- Cache gdm help and show gdm in khelpcenter.
* Mon Aug 16 2004 ro@suse.de
- fixed specfile
* Sun Aug 15 2004 shprasad@suse.de
- Fixes bug #60020
  Invalid username/passwd input doen't bring the password dialog
  for timed login user.
* Fri Jul 30 2004 ro@suse.de
- fix spec file, list gdm-session-startkde.diff as patch
* Thu Jul 29 2004 shprasad@suse.de
- Fixes bug #60867.
  Shows the 'KDE' option when the user clicks on 'Session' at the
  time of login.
  (In the spec file, the diff file, gdm-session-startkde.diff, is
  applied at the %%install section)
* Wed Jun 23 2004 dave@suse.de
- Added gdm-presession-kde-path.patch, adds /opt/kde3/bin to the
  gdm path
* Fri Jun 11 2004 clahey@suse.de
- Added gdm-support-gdmctl.patch.
* Wed Jun  2 2004 mibarra@suse.de
- Fixed gdm.conf to use the correct group
* Wed Jun  2 2004 clahey@suse.de
- Set theme to industrial (as well as a few other small changes.)
* Fri May  7 2004 hhetter@suse.de
- updated to version 2.6.0.0 [GNOME2.6]
* Wed Mar 31 2004 hhetter@suse.de
- startup in graphical theme (#37668)
- Require gnome2-SuSE for the Default Theme (#37707)
- honor xdm scripts (#37852)
* Tue Mar 23 2004 sbrabec@suse.cz
- Non-UTF-8 locales removed from language menu.
* Mon Mar 22 2004 hhetter@suse.de
- remove SuSEconfig.gdm; it's no longer needed to manage
  the available sessions for gdm, as it is now using desktop
  files to define it's sessions (#36267)
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Tue Mar  9 2004 hhetter@suse.de
- include desktop files for sessions
* Tue Mar  2 2004 hhetter@suse.de
- updated to version 2.4.4.7 [GNOME 2.4.2]
- applied adapted bash-login-shell patch
- adapted desktop file patch
- adapted configuration file (use tools from powersave)
* Thu Feb 26 2004 hhetter@suse.de
- attached patch: gdm-2.4.1.6-bash-login-shell.patch,
  make sure a login shell is available when using
  bash
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to gdm.
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Sep 18 2003 adrian@suse.de
- add Categories
- show entries only in Gnome (#31287)
* Fri Sep  5 2003 hhetter@suse.de
- added Obsoletes: gdm
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Tue Aug 12 2003 hhetter@suse.de
- updated to version 2.4.1.6
* Mon Jul 28 2003 kukuk@suse.de
- Make sure /var/lib/gdm has correct permissions
* Thu Jul 24 2003 hhetter@suse.de
- move capplets to correct position
- fix build
* Wed Jul 16 2003 sbrabec@suse.cz
- Fixed prefix in configuration files.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 sbrabec@suse.cz
- Updated to version 2.4.1.4.
- Fixed default path to Xwilling.
- Updated neededforbuild.
- Use %%find_lang.
- Prefix clash fix (capplets).
* Tue May 27 2003 ro@suse.de
- remove unpackaged files from buildroot
* Mon May 26 2003 sbrabec@suse.cz
- Re-enabled UTF-8 alternatives for all locales.
* Sun Mar 16 2003 adrian@suse.de
- add resmgr support to pam
* Mon Mar 10 2003 hhetter@suse.de
- use LC_MESSAGES instead of LC_ALL for setlocale
  ( Bug Id#24889 )
* Thu Feb 27 2003 sbrabec@suse.cz
- Removed gdm wrapper (fixes problems with default language and init
  script - bug #23875).
* Tue Feb 25 2003 sbrabec@suse.cz
- Don't offer UTF-8 locales.
* Mon Feb 24 2003 hhetter@suse.de
- use graphical greeter by default
* Thu Feb 20 2003 sbrabec@suse.cz
- Use system language for GDM login from /etc/sysconfig/language.
* Tue Feb 18 2003 sbrabec@suse.cz
- Updated default config and locale aliases (UTF-8 locales).
* Fri Feb  7 2003 hhetter@suse.de
- updated to 2.4.1.3 [GNOME 2.2.0]
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Wed Jan 15 2003 ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Tue Jan  7 2003 sbrabec@suse.cz
- Update to version 2.4.1.0.
- Make Default session file executable.
- Added UTF-8 as alternative for all locales.
- Turned on TCP wrappers support.
* Mon Jan  6 2003 sbrabec@suse.cz
- Install SuSE specific PAM configuration (from xdm), fix its install
  place.
- Removed sox from neededforbuild.
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.4.0.12 [GNOME 2.0.3]
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Sun Nov  3 2002 mfabian@suse.de
- Bug Id #21407: correct wrong spelling of UTF-8 locale names
  in /etc/opt/gnome2/gdm/locale.alias. de_DE.utf8 was used
  instead of de_DE.UTF-8 etc., but de_DE.UTF-8 is not supported
  by X11, although de_DE.utf8 and de_DE.UTF-8 is the same
  as far as glibc is concerned, the correct spelling is important
  for X11.
- Bug Id #21408: When using gdm2 the usual intialization file
  of an X session, i.e. ~/.xinitrc, ~/.xsession, ~/.Xmodmap
  ~/.xim etc. were not read. Because of this, inputservers for CJK
  languages did not start automatically and other default
  settings were not correct either.
  I fixed this by improving /etc/opt/gnome2/gdm/Sessions/Default
  to use 'exec /etc/X11/xdm/Xsession $WINDOWMANGER $GDM_LANG'.
  This makes the default behaviour when using gdm2 the same
  as when using kdm or xdm.
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Thu Sep  5 2002 hhetter@suse.de
- updated to version 2.4.0.11, fixing a security issue
  (no longer open the logging file descriptor as root in
  slave.c ) ( Bug Id #18908 )
* Mon Sep  2 2002 hhetter@suse.de
- if no session was chosen or previously saved, choose
  the gnome session ( Bug Id #18729)
* Fri Aug 30 2002 hhetter@suse.de
- fix default script and session linking (Bug Id#18602)
* Thu Aug 22 2002 hhetter@suse.de
- parse correct Session directory (Bug Id#18181)
* Tue Aug 20 2002 hhetter@suse.de
- fix prereq
* Mon Aug 12 2002 hhetter@suse.de
- updated to version 2.4.0.7
- fix neddedforbuild
* Wed Aug  7 2002 hhetter@suse.de
- updated to version 2.4.0.5
- fix typo in SuSEconfig script (#17438)
- fix linking of sessions
* Wed Jul 17 2002 hhetter@suse.de
- updated to version 2.4.0.2
  * busy cursor when start X
  * 'System Default' language choice
  * fix unresponsive behaviour when first asking for
  username in graphical greeter #83187 (bugzilla.gnome.org)
  * 'Last' language choice in graphical greeter
  * 24 hour clock setting in graphical greeter
  * Happy Gnome Theme Update
  * more languages supported #84290 (bugzilla.gnome.org)
  * Translation updates
* Thu Jul 11 2002 hhetter@suse.de
- fix default session
- activate graphical gdmgreeter for local logins by default
* Wed Jul 10 2002 hhetter@suse.de
- updated to version 2.4.0.1, bugfix release
- SuSEconfig.gdm2 to manage the GDM sessions
* Tue Jul  9 2002 hhetter@suse.de
- initial SuSE package
- create gdm user
